#ifndef FILELIST_H_
#define FILELIST_H_

/*
 * Copyright (c) 1986, 2014 by The Trustees of Columbia University in
 * the City of New York.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  + Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *  + Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 *  + Neither the name of Columbia University nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.

 Author: Howie Kaye
*/
					/* files to alloc at a time */
#define FILEINCR 100
					/* name space to alloc each time */
#define NAMEINCR 1000

#ifdef unix
#define DIRSEP "/"
#define STRUCTTERM ""
#endif /*  UNIX */
#ifdef MSDOS
#define DIRSEP "/\\:"
#define STRUCTTERM ":"
#endif /*  MSDOS */
#define WILDCHARS "*?[{"

typedef struct _dirfile {
  const char *directory;		/* directory file is located in */
  int offset;				/* offset into namebuffer */
  flag_t flags;				/* files flags for this parse */
}  dirfile;

#endif /* FILELIST_H_ */
